Package com.smartgwt.client.widgets.grid

# Class GroupNode

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.core.RefDataClass
com.smartgwt.client.data.Record
com.smartgwt.client.widgets.grid.ListGridRecord
com.smartgwt.client.widgets.tree.TreeNode
com.smartgwt.client.widgets.grid.GroupNode

All Implemented Interfaces:
  `HasHandlers`

public class GroupNode extends TreeNode
An auto-generated class representing the group nodes in a grouped listgrid.

See Also:
  - `ListGrid.groupBy(String[])`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.core.RefDataClass

  `id`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GroupNode(JavaScriptObject jsObj)`
  `GroupNode(ListGridRecord record)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Record[]`
  `getGroupMembers()`
  Deprecated.
  Use `ListGrid.getGroupMembers()` instead to get the descendants of a `GroupNode`.
  `String`
  `getGroupName()`
  The name of the field being grouped by this node.
  `String`
  `getGroupTitle()`
  The computed title for the group, which results from `GroupTitleRenderer.getGroupTitle(Object, GroupNode, ListGridField, String, ListGrid)`
  `Object`
  `getGroupValue()`
  The value from which groups are computed for a field, which results from `GroupValueFunction.getGroupValue(Object, ListGridRecord, ListGridField, String, ListGrid)`
  `static GroupNode`
  `getOrCreateRef(JavaScriptObject jsObj)`

  ### Methods inherited from class com.smartgwt.client.widgets.tree.TreeNode

  `getCanAcceptDrop, getCanDrag, getEnabled, getIcon, getIconPadding, getName, getShowDropIcon, getShowOpenIcon, getShowSelectedIcon, getTitle, setCanAcceptDrop, setCanDrag, setChildren, setEnabled, setIcon, setIconPadding, setID, setIsFolder, setName, setParentID, setShowDropIcon, setShowOpenIcon, setShowSelectedIcon, setTitle`

  ### Methods inherited from class com.smartgwt.client.widgets.grid.ListGridRecord

  `get_baseStyle, get_canEdit, get_canRemove, getBackgroundComponent, getCanExpand, getCanSelect, getCustomStyle, getDetailDS, getEmbeddedComponent, getEmbeddedComponentFields, getEmbeddedComponentPosition, getIncludeInSummary, getIsGridSummary, getIsGroupSummary, getIsSeparator, getLinkText, getShowRollOver, getSingleCellValue, set_baseStyle, set_canEdit, set_canRemove, setBackgroundComponent, setCanExpand, setCanSelect, setCustomStyle, setDetailDS, setEmbeddedComponent, setEmbeddedComponentFields, setEmbeddedComponentPosition, setIncludeInSummary, setIsGridSummary, setIsGroupSummary, setIsSeparator, setLinkText, setShowRollOver, setSingleCellValue`

  ### Methods inherited from class com.smartgwt.client.data.Record

  `convertToRecordArray, copyAttributes, copyAttributesInto, getAttributeAsRecordArray, getAttributeAsRecordList, getPaletteDefaults, isARecord, toMap`

  ### Methods inherited from class com.smartgwt.client.core.RefDataClass

  `getRef, getRef, internalSetID`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `equals, getJsObj, hashCode, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GroupNode

    public GroupNode(ListGridRecord record)

  - ### GroupNode

    public GroupNode(JavaScriptObject jsObj)

- ## Method Details

  - ### getOrCreateRef

    public static GroupNode getOrCreateRef(JavaScriptObject jsObj)

  - ### getGroupValue

    public Object getGroupValue()
    The value from which groups are computed for a field, which results from `GroupValueFunction.getGroupValue(Object, ListGridRecord, ListGridField, String, ListGrid)`
    Returns:
      the group value

  - ### getGroupName

    public String getGroupName()
    The name of the field being grouped by this node.
    Returns:
      the group value

  - ### getGroupTitle

    public String getGroupTitle()
    The computed title for the group, which results from `GroupTitleRenderer.getGroupTitle(Object, GroupNode, ListGridField, String, ListGrid)`
    Returns:
      the group title

  - ### getGroupMembers

    public Record[] getGroupMembers()
    Deprecated.
    Use `ListGrid.getGroupMembers()` instead to get the descendants of a `GroupNode`.

    Array of Records that belong to this group, or, for multi-field grouping, array of groupNodes of subgroups under this groupNode.
    Returns:
      records